Subject: RE: [seamoby] Update on Issues from IETF meeting

From: James Kempf <[email-masked]>
Date: Thu, 16 Aug 2001 14:53:24 -0700 (PDT)

Scott,

>
>I guess I cannot agree that requirements are meant to be general guidelines
>as James suggests.  They are meant to be more than that...certainly MUST
>requirements.
>

What I heard in email this morning from, I believe, Gary is that
the exact timing of transfer will depend on the feature context
being transferred. Consequently, I do not think it is possible
to get a more precise set of requirements for the general timing problem
than what JohnL proposed at IETF 51 and what, I thought, the
WG had agreed to as concensus.

Any further attempt to be precise would necessarily compromise
the generality of the requirement and involve investigating
specific feature context requirements. 

>Perhaps, as a way out of this rathole, we could simply change the draft
>title from
>
>General Requirements for a Context Transfer Framework 
>to
>General *Guidelines* for a Context Transfer Framework
>
>As a requirements doc, the draft has problems.
>As a guidelines doc, it's OK.
>
>I know the group was in requirements mode, but it seems to have produced a
>guidelines draft.  We could just acknowledge that and propose some protocols.

Fine, I have no problems with that. IMHO, much of the problem the group
is having in achieving precision on requirements may be due to the
fact that everybody has a different set of feature contexts they
are thinking of, and so they come at the problem of specifying 
requirements for the general problem from that perspective. Agreeing
to one particular set of precise requirements would in some
cases involve choosing the requirements for one or a group of
feature contexts and preclude those of another feature context having
different and, in come cases, opposing requirements, hence, the
debate continues to circle. I've not been deeply involved in the discussion, 
only observing, but this is sort of what I've been seeing.

		jak

---

From: Rajeev Koodli <[email-masked]>
Date: Thu, 16 Aug 2001 15:14:51 -0700

James and Scott,

I do not agree that we should convert the Requirements draft to a Guidelines
draft. May be I am missing something, but, I think a Guidelines draft _could_
follow once we have a solution, which itself follows the Requirements.

Can we move on with the consensus that was reached in London and not open the can
on Requirements vs Guidelines ?

Thanks,

-Rajeev